<?php

/*
 * @component UserPoints
 * @copyright Copyright (C) 2015-2022 Bernard Gilly - Adrien Roussel - Martin Brampton
 * @license : GNU/GPL
 * @Website : https://remository.com
 */

namespace BlackSheepResearch\Component\UserPoints\Site;

// no direct access
defined('_JEXEC') or die('Restricted access');

use BlackSheepResearch\Component\UserPoints\Site\Controller;

/**
 * @package UserPoints
 */
class ModuleController extends Controller {

    static protected $myspace = __NAMESPACE__;
    static protected $suffix = 'HTML';

    public function run_module($module, $params) {
        $classname = __NAMESPACE__ . '\\Modules\\' . ucfirst($module);
	$controller = new $classname($this);
	$controller->render($params);
    }

}

// end class
